Bug 806956 - Katello does not install Pulp correctly on F16 Web Server
Katello does not install Pulp correctly on F16 Web Server
Status: CLOSED NOTABUG
Product: Katello
Classification: Community
Component: Installer (Show other bugs)
2.0
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Lukas Zapletal
Katello QA List
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-26 11:28 EDT by Lukas Zapletal
Modified: 2012-05-25 09:43 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-25 09:43:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lukas Zapletal 2012-03-26 11:28:10 EDT
Steps to Reproduce:
1. Install Fedora 16 in Web Server profile
2. Install katello
3. katello ping
  
Actual results:

All services are responding except Pulp

Additional info:

ps axu gives

httpd defunct

Apache httpd was already running before Katello installer started. The workaround is to restart pulp-server.
Comment 2 Lukas Zapletal 2012-05-24 08:34:47 EDT
Reproduced today, can I ask somebody to confirm it? I maybe have something wrong with my provisioning scripts.

Reproducer:

1) install fedora 16 web server
2) make sure httpd is running
3) install katello-testing
4) after configure do katello ping and see if pulp is running
Comment 4 Garik Khachikyan 2012-05-25 06:52:18 EDT
... and my tries on Fedora 16 are successful: it installs with having httpd on

version that I have tried:
---
qpid-cpp-server-ssl-0.14-1.fc16.1.x86_64
katello-cli-0.2.37-1.fc16.noarch
pulp-selinux-server-1.1.10-1.fc16.noarch
katello-configure-0.2.25-1.fc16.noarch
katello-glue-foreman-0.2.39-1.fc16.noarch
katello-all-0.2.39-1.fc16.noarch
katello-qpid-broker-key-pair-1.0-1.noarch
m2crypto-0.21.1.pulp-7.fc16.x86_64
qpid-cpp-client-0.14-1.fc16.1.x86_64
qpid-cpp-client-ssl-0.14-1.fc16.1.x86_64
candlepin-0.6.3-1.fc16.noarch
katello-cli-common-0.2.37-1.fc16.noarch
katello-glue-candlepin-0.2.39-1.fc16.noarch
katello-glue-pulp-0.2.39-1.fc16.noarch
katello-0.2.39-1.fc16.noarch
pulp-1.1.10-1.fc16.noarch
candlepin-tomcat6-0.6.3-1.fc16.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch
katello-qpid-client-key-pair-1.0-1.noarch
pulp-common-1.1.10-1.fc16.noarch
qpid-cpp-server-0.14-1.fc16.1.x86_64
katello-certs-tools-1.1.6-1.fc16.noarch
katello-common-0.2.39-1.fc16.noarch
katello-selinux-0.2.5-1.fc16.noarch
katello-repos-0.2.4-1.fc16.noarch
mod_wsgi-3.3-3.pulp.fc16.x86_64
python-qpid-0.14-1.fc16.noarch
---
Comment 5 Lukas Zapletal 2012-05-25 09:43:26 EDT
Issue on my side then, thanks. Closing.

Note You need to log in before you can comment on or make changes to this bug.